Bug 159611 - [PATCH] USB stick extrememory Snippy needs quirks
Summary: [PATCH] USB stick extrememory Snippy needs quirks
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-08 20:20 UTC by Fabian Keil
Modified: 2012-10-21 04:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2011-08-08 20:20:17 UTC
The extrememory Snippy (http://www.extrememory.com/index.cfm?lc=products&nc=pmenue&pageID=8#p63)
doesn't work by default:

kernel: GEOM: new disk da2
kernel: pass4 at umass-sim2 bus 2 scbus4 target 0 lun 0
kernel: pass4: <USB Mass Storage Device \001\000\000?> Removable Direct Access SCSI-0 device
kernel: pass4: Serial Number 812320100708
kernel: pass4: 40.000MB/s transfers
kernel: (da2:umass-sim2:2:0:0): SCSI status error
kernel: (da2:umass-sim2:2:0:0): READ CAPACITY(10). CDB: 25 0 0 0 0 0 0 0 0 0
kernel: (da2:umass-sim2:2:0:0): CAM status: SCSI Status Error
kernel: (da2:umass-sim2:2:0:0): SCSI status: Check Condition
kernel: (da2:umass-sim2:2:0:0): SCSI sense: NOT READY asc:3a,0 (Medium not present)
kernel: (da2:umass-sim2:2:0:0): Error 6, Unretryable error
kernel: da2 at umass-sim2 bus 2 scbus4 target 0 lun 0
kernel: da2: <USB Mass Storage Device \001\000\000?> Removable Direct Access SCSI-0 device
kernel: da2: Serial Number 812320100708
kernel: da2: 40.000MB/s transfers
kernel: da2: Attempt to query device size failed: NOT READY, Medium not present
kernel: (da2:umass-sim2:2:0:0): SCSI status error
kernel: (da2:umass-sim2:2:0:0): READ CAPACITY(10). CDB: 25 0 0 0 0 0 0 0 0 0
kernel: (da2:umass-sim2:2:0:0): CAM status: SCSI Status Error
kernel: (da2:umass-sim2:2:0:0): SCSI status: Check Condition
kernel: (da2:umass-sim2:2:0:0): SCSI sense: NOT READY asc:3a,0 (Medium not present)
kernel: (da2:umass-sim2:2:0:0): Error 6, Unretryable error
kernel: Opened disk da2 -> 6
kernel: (da2:umass-sim2:2:0:0): SCSI status error
kernel: (da2:umass-sim2:2:0:0): READ CAPACITY(10). CDB: 25 0 0 0 0 0 0 0 0 0
kernel: (da2:umass-sim2:2:0:0): CAM status: SCSI Status Error
kernel: (da2:umass-sim2:2:0:0): SCSI status: Check Condition
kernel: (da2:umass-sim2:2:0:0): SCSI sense: NOT READY asc:3a,0 (Medium not present)
kernel: (da2:umass-sim2:2:0:0): Error 6, Unretryable error
kernel: Opened disk da2 -> 6
kernel: (da2:umass-sim2:2:0:0): SCSI status error
kernel: (da2:umass-sim2:2:0:0): READ CAPACITY(10). CDB: 25 0 0 0 0 0 0 0 0 0
kernel: (da2:umass-sim2:2:0:0): CAM status: SCSI Status Error
kernel: (da2:umass-sim2:2:0:0): SCSI status: Check Condition
kernel: (da2:umass-sim2:2:0:0): SCSI sense: NOT READY asc:3a,0 (Medium not present)
kernel: (da2:umass-sim2:2:0:0): Error 6, Unretryable error
kernel: Opened disk da2 -> 6

Fix: 

Apply the patch which also silences error messages like the
following when using the stick as ZFS vdev:

kernel: (da0:umass-sim0:0:0:0): SCSI status error
kernel: (da0:umass-sim0:0:0:0): SYNCHRONIZE CACHE(10). CDB: 35 0 0 0 0 0 0 0 0 0
kernel: (da0:umass-sim0:0:0:0): CAM status: SCSI Status Error
kernel: (da0:umass-sim0:0:0:0): SCSI status: Check Condition
kernel: (da0:umass-sim0:0:0:0): SCSI sense: ILLEGAL REQUEST asc:20,0 (Invalid command operation code)
kernel: (da0:umass-sim0:0:0:0): Error 22, Unretryable error

Note that even without the patch the stick seems to reliably become
usable after three resets with usbconfig (often two resets are enough),
but there doesn't seem to be a quirk for it.
How-To-Repeat: Attach the stick, check /var/log/messages, try to read or write to the stick.
Comment 1 Martin Wilke freebsd_committer 2011-11-20 12:31:19 UTC
Responsible Changed
From-To: freebsd-usb->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2012-06-04 05:29:35 UTC
Responsible Changed
From-To: miwi->freebsd-usb

back to pool.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2012-09-18 17:50:15 UTC
Responsible Changed
From-To: freebsd-usb->eadler

I'll take it.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2012-10-14 18:35:06 UTC
State Changed
From-To: open->patched

committed to -HEAD - it will be MFCed soon. It will be available in the 
next MFC after the MFC (a week or so)
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2012-10-21 04:32:17 UTC
State Changed
From-To: patched->closed

MFCed